/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * Bean model base class
 * - API 를 통해 요청 ~RequestBean
 * - API 의 결과값 ~ResultBean
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 11.]   [최초 작성]
 * @since 2018. 9. 11.
 */
public class JsonBeanBase {
  /**
   * 현재 객체를 json string 으로 변환하여 반환
   *
   * @return json string
   */
  public String toJson() {
    return new Gson().toJson(this);
  }

  /**
   * 정렬된 형태의 문자열로 반환된다.
   *
   * @return json pretty string
   */
  public String toPrettyJson() {
    return new GsonBuilder().setPrettyPrinting().create().toJson(this);
  }
}
